Index: trunk/examples/extended/electromagnetic/TestEm1/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/DetectorConstruction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.2 2006/06/29 16:36:04 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm1/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/DetectorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/DetectorMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.3 2006/06/29 16:36:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm1/include/EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/EventAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/EventAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: EventAction.hh,v 1.3 2006/06/29 16:36:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm1/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/EventActionMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/EventActionMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.3 2006/06/29 16:36:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm1/include/HistoManager.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/HistoManager.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/HistoManager.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.hh,v 1.6 2007/11/12 15:48:58 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm1/include/HistoMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/HistoMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/HistoMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.hh,v 1.4 2007/11/12 15:48:58 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm1/include/PhysListEmStandard.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/PhysListEmStandard.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/PhysListEmStandard.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysListEmStandard.hh,v 1.5 2007/11/12 15:48:58 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm1/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/PhysicsList.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsList.hh,v 1.4 2006/06/29 16:36:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm1/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/PhysicsListMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/PhysicsListMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.3 2006/06/29 16:36:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm1/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/PrimaryGeneratorAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.3 2006/06/29 16:36:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm1/include/PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/PrimaryGeneratorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/PrimaryGeneratorMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.hh,v 1.3 2006/06/29 16:36:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm1/include/RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/RunAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/RunAction.hh	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: RunAction.hh,v 1.8 2006/06/29 16:36:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: RunAction.hh,v 1.9 2010/04/06 11:11:24 maire Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -34,6 +34,6 @@
 
 #include "G4UserRunAction.hh"
-#include "ProcessesCount.hh"
 #include "globals.hh"
+#include <map>
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -60,5 +60,5 @@
     void CountSteps0(G4int ns) { NbOfSteps0 += ns;}
     void CountSteps1(G4int ns) { NbOfSteps1 += ns;}
-    void CountProcesses(G4String);
+    void CountProcesses(G4String procName) { procCounter[procName]++;};
     
     void AddEdep(G4double val)     { edep += val;}
@@ -68,4 +68,8 @@
                                   
   private:
+    DetectorConstruction*   detector;
+    PrimaryGeneratorAction* primary;
+    HistoManager*           histoManager;
+      
     G4int           NbOfTraks0, NbOfTraks1;
     G4int           NbOfSteps0, NbOfSteps1;
@@ -74,9 +78,5 @@
     G4double        projRange, projRange2;
     G4double        transvDev, transvDev2;
-                     
-    DetectorConstruction*   detector;
-    PrimaryGeneratorAction* primary;
-    ProcessesCount* ProcCounter;   
-    HistoManager*   histoManager;
+    std::map<G4String,G4int>   procCounter;
 };
 
Index: trunk/examples/extended/electromagnetic/TestEm1/include/StepMax.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/StepMax.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/StepMax.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.hh,v 1.2 2006/06/29 16:36:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm1/include/StepMaxMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/StepMaxMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/StepMaxMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.hh,v 1.2 2006/06/29 16:36:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm1/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/SteppingAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/SteppingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.hh,v 1.4 2006/06/29 16:36:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm1/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/SteppingVerbose.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/SteppingVerbose.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.2 2006/06/29 16:36:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager. 
Index: trunk/examples/extended/electromagnetic/TestEm1/include/TrackingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm1/include/TrackingAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm1/include/TrackingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.hh,v 1.4 2006/06/29 16:36:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
